Get team routing forms
curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/routing-forms \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/routing-forms"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/routing-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"name": "My Form",
"description": "This is the description.",
"position": 0,
"createdAt": "2024-03-28T10:00:00.000Z",
"updatedAt": "2024-03-28T10:00:00.000Z",
"userId": 2313,
"teamId": 4214321,
"disabled": false,
"id": "<string>",
"routes": {},
"fields": {},
"settings": {}
}
]
}Routing Forms
Get team routing forms
Required membership role: team admin. PBAC permission: routingForm.readTeamRoutingForms. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control. If accessed using an OAuth access token, the TEAM_ROUTING_FORM_READ scope is required.
GET
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
routing-forms
Get team routing forms
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Query Parameters
Number of responses to skip
Number of responses to take
Sort by creation time
Available options:
asc, desc Sort by update time
Available options:
asc, desc Filter by responses created after this date
Filter by responses created before this date
Filter by responses created after this date
Filter by responses updated before this date
Filter by responses routed to a specific booking
Was this page helpful?